Name: gtkjournal
Version: 0.3.5b
Release: alt0.7

Summary: Journal/diary with encryption support
Summary(ru_RU.CP1251):       
License: GPL
Group: Graphical desktop/GNOME

Url: http://linuxhelp.homeunix.com/gtkjournal/
Packager: Andrey Rahmatullin <wrar@altlinux.ru>
Source: %url/%name-%version.tar.gz
Patch0: %name-0.3.5b-alt-gtkmm2.4-compile-fixes.patch
Patch1: %name-0.3.5b-alt-gtkmm2.4-toolbar.patch
Patch2: %name-0.3.5b-alt-modal.patch
Patch3: %name-0.3.5b-alt-libssl-compile-fix.patch
Patch4: %name-0.3.5b-alt-cryptFile-fix.patch

BuildPreReq: gcc-c++ libgtkspell-devel libssl-devel pkgconfig
BuildPreReq: sqlite-devel libgtkmm2-devel >= 2.4

%description
Gtk+ Journal is a Journal/Diary application written using the C++
bindings for Gtk+2 (gtkmm). It uses SQlite to store your entries, and
the OpenSSL implementations of the BlowFish and SHA-1 algorithms to
keep your data safe.

%description -l ru_RU.CP1251
Gtk+ Journal -     .   SQlite
     BlowFish  SHA-1   .

%prep
%setup
rm -rf libltdl/
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
export gtkmm_ver=2.4
%__subst "s|gtkmm-2.0|gtkmm-$gtkmm_ver|" configure.ac
%__autoreconf

%build
%configure \
	--enable-gtkspell \
	--disable-static
%make_build

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog README
%_bindir/*
%_libdir/*.so.*
%_mandir/man?/*

%changelog
* Fri Jan 04 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.3.5b-alt0.7
- really fix crash on decryption

* Thu Jan 03 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.3.5b-alt0.6
- fix crash on decryption

* Mon Feb 19 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.3.5b-alt0.5
- fix build with new libssl

* Sun Dec 03 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.3.5b-alt0.4
- fix build with gtkmm2 2.10

* Sat Oct 01 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.3.5b-alt0.3
- remove gtk2 2.6 workaround, it isn't needed with 2.8
- do not build static libs

* Thu Jan 06 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.3.5b-alt0.2
- workaround for working with gtk2 >= 2.5
- rebuild with libgtkmm2-devel-2.4.7-alt2 (fixed linking), add conditional
- fix building with libgtkmm2 > 2.4

* Sun Nov 14 2004 Andrey Rahmatullin <wrar@altlinux.ru> 0.3.5b-alt0.1
- initial build
- port to gtkmm 2.4
